use http::{header, HeaderMap, HeaderValue};

/// 获取请求的语言
#[inline]
pub fn get_lang_tag(headers: &HeaderMap<HeaderValue>) -> String {
    let language = String::from("zh-CN");
    let language_header = headers.get(header::ACCEPT_LANGUAGE);
    match language_header {
        Some(value) => {
            let value_str: Vec<&str> = value.to_str().unwrap_or("zh-CN").split(',').collect();
            if value_str.is_empty() {
                language
            } else {
                String::from(value_str[0])
            }
        },
        None => language,
    }
}