use axum::Router;
use library::typed_router::TypedRouter;

pub mod account_controller;
pub mod feedback_controller;
pub mod social_wx_controller;

pub fn init() -> Router {
    Router::new()
        // 用户登录、用户管理相关路由
        .typed_route(account_controller::authenticate_google)
        .typed_route(account_controller::authenticate_with_password)
        .typed_route(account_controller::refresh_token)
        // 反馈相关路由
        .typed_route(feedback_controller::add_feedback)
        .typed_route(feedback_controller::get_feedback_list_by_page)
        .typed_route(feedback_controller::get_feedback_list)
        // 微信相关路由
        .typed_route(social_wx_controller::get_wechat_access_token)
        .typed_route(social_wx_controller::code_2_session)
        .typed_route(social_wx_controller::check_session)
}
